Уведомления

Группа в Telegram: присоединиться | Jabber-конференция сообщества: pythonua@conference.jabber.ru

#1 Июль 13, 2010 20:11:02

VeNOm
От:
Зарегистрирован: 2010-01-07
Сообщения: 24
Репутация: +  0  -
Профиль   Отправить e-mail  

Установка PyQt4 на Python3.1 под linux

Сегодня мы будем устанавливать библиотеку pyqt4 на python3.1 под линукс.


Открываем терминал и для начала установим необходимые пакеты.

sudo apt-get install python3.1

sudo apt-get install python3-dev

sudo apt-get install qt4-dev-tools

sudo aptitude install libxtst-dev

sudo apt-get install g++
Теперь скачиваем SIP по ссылке

http://www.riverbankcomputing.co.uk/static/Downloads/sip4/sip-4.10.2.tar.gz

распаковываем(директория вероятнее всего отличается)

tar xzvf /home/venom/sip-4.10.2.tar.gz
переходим в директорию

cd sip-4.10.2
конфигурируем
sudo python3.1 configure.py
ставим
sudo make install
скачиваем pyqt4

http://www.riverbankcomputing.co.uk/static/Downloads/PyQt4/PyQt-x11-gpl-4.7.3.tar.gz

переходим в корень
cd
разпаковываем
tar xzvf /home/venom/PyQt-x11-gpl-4.7.3.tar.gz
переходим в папку
cd PyQt-x11-gpl-4.7.3
настраиваем
sudo python3.1 configure.py --verbose
компилируем
sudo make
устанавливаем
sudo make install
Вот и все:)

З.Ы. Установка производилась под ubuntu 10.04 LTS с нуля.

Источник
Думаю пригодится.



Офлайн

#2 Март 11, 2011 00:17:05

Allinx
От:
Зарегистрирован: 2011-03-10
Сообщения: 1
Репутация: +  0  -
Профиль   Отправить e-mail  

Установка PyQt4 на Python3.1 под linux

Здравствуйте!
Внятно описано — неплохой материал.
Есть вопрос?
О себе:
SLED 11
Sip установил успешно (>>>import sib без ошибок), а
>>> import qt
Traceback (most recent call last):
File “<stdin>”, line 1, in <module>
RuntimeError: the sip module implements API v8.0 to v8.1 but the qt module requires API v3.8
при поытке
python configure.py –verbose
Error: Make sure you have a working Qt v4 qmake on your PATH or use the -q
argument to explicitly specify a working Qt v4 qmake.
Подскажите что предпринять?



Офлайн

Board footer

Модераторировать

Powered by DjangoBB

Lo-Fi Version